
Foreman - Bug #26936

Bring back a search of hosts by value of parameter

06/03/2019 12:07 PM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Search   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1714357 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6946

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1714357

Description of problem:

It is now not possible to search host by value of certain parameter

Version-Release number of selected component (if applicable):

satellite-6.6.0-5.beta.el7sat.noarch (snap 4)

How reproducible:

always

Steps to Reproduce:

1. Have a host with parameter:

Name: wrhSWlGmTG

Type: string

Value: yNQdKtCqYD

2. Attempt to search for that host on Hosts -> All Hosts with query

"params.wrhSWlGmTG = yNQdKtCqYD"

Actual results:

Error shown:

Field 'params.wrhSWlGmTG' not recognized for searching!

Expected results:

Search should work

Additional info:

Also mentioned here: https://community.theforeman.org/t/api-search-host-parameter-value/14032

Marking as a regression as according to tests this worked before.

Related issues:

Related to Foreman - Bug #27745: rails db:migrate fails while running upgrade Closed

Associated revisions

Revision d42a63e4 - 08/26/2019 09:10 AM - Kavita Gaikwad

Fixes #26936 - resume search hosts by param value (#6946)

History

#1 - 06/03/2019 12:09 PM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#2 - 07/31/2019 05:33 PM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1714357
https://community.theforeman.org/t/api-search-host-parameter-value/14032


- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6946 added

#3 - 08/26/2019 09:10 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 08/26/2019 09:11 AM - Ondřej Ezr

- Subject changed from It is now not possible to search by value of certain parameter to Bring back a search of hosts by value of parameter

- Triaged changed from No to Yes

#5 - 08/26/2019 10:01 AM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset d42a63e41281048efbcfa710e92078ad1c6373fe.

#6 - 08/31/2019 03:20 PM - Kavita Gaikwad

- Related to Bug #27745: rails db:migrate fails while running upgrade added

#7 - 10/24/2019 12:40 PM - Amit Upadhye

- Category set to Search
